<template>
	<main class="mt-36">
		<h2 class="contents-title">Media Objects</h2>
		<figure class="media">
			<div class="media-figure">
				<img src="~/static/favicon.png" alt="" />
			</div>
			<div class="media-content">
				Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aperiam
				incidunt tempora ratione sapiente, nesciunt consectetur officiis commodi
				soluta. Sit sapiente veritatis non quia vitae, facilis nam rerum,
				reprehenderit modi. Fugiat?
			</div>
		</figure>
		<Code :codeText="mediaObjects" />
		<hr />
		<h2 class="contents-title">With Title, Button, and Link</h2>
		<figure class="media">
			<div class="media-figure">
				<img src="~/static/favicon.png" alt="" width="150px" />
			</div>
			<div class="media-content">
				<h4 class="media-title text-primary">Title</h4>
				<p>
					Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
					eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
					minim veniam, quis nostrud exercitation ullamco laboris nisi ut
					aliquip ex ea commodo consequat. Duis aute irure dolor in
					reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
					pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
					culpa qui officia deserunt mollit anim id est laborum.
				</p>
				<p class="mb-0">
					<button class="btn--primary btn--small btn--icon mr-8">
						<i class="bzi-chain"></i>
					</button>
					<a href="#">Visit somewhere...</a>
				</p>
			</div>
		</figure>
		<Code :codeText="withTitle" />
		<ContentFooter />
	</main>
</template>

<script>
export default {
	data() {
		return {
			mediaObjects: `<figure class="media">
    <div class="media-figure">
        <img src="..." alt="">
    </div>
    <div class="media-content">
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aperiam incidunt tempora ratione sapiente,
        nesciunt consectetur officiis commodi soluta. Sit sapiente veritatis non quia vitae, facilis nam rerum, reprehenderit modi. Fugiat?
    </div>
</figure>`,
			withTitle: `<figure class="media">
    <div class="media-figure">
        <img src="..." alt="" width="150px">
    </div>
    <div class="media-content">
        <h4 class="media-title text-primary">Title</h4>
        <p>
            Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
            tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
            quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
            consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
            cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
            proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
        </p>
        <p class="mb-0">
            <button class="btn--primary btn--small btn--icon mr-8"><i class="fas fa-thumbs-up"></i></button>
            <a href="#">Visit somewhere...</a>
        </p>
    </div>
</figure>`
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}
</style>
